Kroger Ad Platform API

Create Ad Group Entities

Add entities to an Ad Group in the Media Platform. Read more about Ad groups in our Media Platform Learning Center.

post
/v1/ad_groups/{ad_group_id}/entities

Path Parameters

ad_group_idintegerrequired

Body

application/json

CreateEntitiesRequest

entitiesarray[object]required

The products to be advertised.

Show Child Parameters
baseBidnumberrequired

The base bid used for all entities that have useBaseBid set to true.

Response

application/json

Successful Response

SingleResponse[AdGroupV2]

dataAny Of

Data of the response.

AdGroupV2object
Show Child Parameters
metaobjectrequired

Response metadata.

Show Child Parameters
errorsAny Of

Errors for this response

DomainErrorarray[object]
Show Child Parameters
warningsAny Of

Warnings for this response

DomainErrorarray[object]
Show Child Parameters
post/ad_groups/{ad_group_id}/entities

Body

{ "entities": [ { "id": 0, "useBaseBid": false, "deleted": false } ], "baseBid": 0 }
 
Invalid URL value '/v1/ad_groups/0/entities'
- missing protocol
application/json

AdGroupStatus

string

Allowed values:DRAFTSCHEDULEDACTIVEENDEDPAUSEDFAILEDUNDER REVIEW

AdGroupV2

object
adGroupIdAny Of

Id that identified the Ad Group.

Variant 1integer
campaignIdAny Of

The campaign id associated with this ad group.

Variant 1integer
nameAny Of

The ad group name.

Variant 1string
startDateAny Of

The start date of the ad group.

Default:

Variant 1string
endDateAny Of

The end date of the ad group. If null the ad group is considered ‘always-on’ and will stop when/if the campaign has an end date.

Variant 1string
budgetTypeAny Of

The type of budget.

BudgetTypestring

Allowed values:DAILYWEEKLYMONTHLYLIFETIME

budgetAmountAny Of

The budget of the ad group. The sum of all the budgets from the ad group(s) may not exceed the campaign budget.

Variant 1number
statusAny Of

The status of the ad group.

AdGroupStatusstring

Allowed values:DRAFTSCHEDULEDACTIVEENDEDPAUSEDFAILEDUNDER REVIEW

baseBidAny Of

The base bid used for all entities that have the useBaseBid flag as true. It must be above the highers floor price of the placement(s) selected.

Variant 1number
entitiesAny Of

The products to be advertised.

Default:[]

Entityarray[object]
Show Child Parameters
targetsarray[object]required

The target dimensions for this ad group. Includes placements, divisions, and day parting.

Show Child Parameters
keywordBidModifiersAny Of

Adjustments to keyword bids.

KeywordBidModifierarray[object]
Show Child Parameters
isArchivedAny Of

Whether this ad group is archived.

Variant 1boolean
carouselHeadlineAny Of

This headline is displayed above the product cards to differentiate your Carousel from other listings

Variant 1string
carouselSubtextAny Of

Add subtext to carousel ad group.

Variant 1string
creativeTypeAny Of

The type of creative.

CarouselCreativeTypestring

Allowed values:STANDARDVIDEO

Example

BudgetType

string

Allowed values:DAILYWEEKLYMONTHLYLIFETIME

CarouselCreativeType

string

Allowed values:STANDARDVIDEO